using System.ComponentModel;

namespace Hotline.Share.Enums.Order
{
    public enum EStatisticsType
    {
        /// <summary>
        /// 工单已办1
        /// </summary>
        [Description("工单已办")]
        YBOrderCountNum = 0,

        /// <summary>
        /// 工单在办1
        /// </summary>
        [Description("工单在办")]
        ZBOrderCountNum = 1,

        /// <summary>
        /// 延期次数1
        /// </summary>
        [Description("延期次数")]
        OrderDelayCount = 2,

        /// <summary>
        /// 已办超期1
        /// </summary>
        [Description("已办超期")]
        YBOverdue = 3,

        /// <summary>
        /// 待办超期1
        /// </summary>
        [Description("待办超期")]
        ZBOverdue = 4,

        /// <summary>
        /// 会签已办超期1
        /// </summary>
        [Description("会签已办超期")]
        HQYBOverdue = 5,

        /// <summary>
        /// 会签待办超期1
        /// </summary>
        [Description("会签待办超期")]
        HQZBOverdue = 6,

        /// <summary>
        /// 超期件数
        /// </summary>
        [Description("超期件数")]
        SubtotalOverdue = 7,

        /// <summary>
        /// 会签已办1
        /// </summary>
        [Description("会签已办")]
        DelayEnd = 8,

        /// <summary>
        /// 会签待办1
        /// </summary>
        [Description("会签待办")]
        DelayWait = 9,

        /// <summary>
        /// 待归档1
        /// </summary>
        [Description("待归档")]
        ToBeArchived = 10,

        /// <summary>
        /// 已归档1
        /// </summary>
        [Description("已归档")]
        Archived = 11,

        /// <summary>
        /// 待发布1
        /// </summary>
        [Description("待发布")]
        WaitPublished = 12,

        /// <summary>
        /// 公开件1
        /// </summary>
        [Description("公开件")]
        PublishedOpen = 13,

        /// <summary>
        /// 不公开件1
        /// </summary>
        [Description("不公开件")]
        PublishedNoOpen = 14,

        /// <summary>
        /// 甄别申请总量1
        /// </summary>
        [Description("甄别申请总量")]
        ScreenCount = 15,

        /// <summary>
        /// 待甄别1
        /// </summary>
        [Description("待甄别")]
        ScreenApproval = 16,

        /// <summary>
        /// 甄别通过1
        /// </summary>
        [Description("甄别通过")]
        ScreenPass = 17,

        /// <summary>
        /// 甄别不通过1
        /// </summary>
        [Description("甄别不通过")]
        ScreenNotPass = 18,

    }

}

